Description

The Redmine plugin page (e.g. http://www.redmine.org/plugins/redmine_lightbox2) only shows the compatibility of the latest version:

 redmine_lightbox2_screenshot.png 

This is probably confusing for users who still have redmine 2.6 in use and are searching for plugins compatible with redmine 2.6.

They don't get a hint, that there are older versions of the plugin which are compatible with redmine 2.6

This user experience could be improved if the compatible redmine version numbers of earlier plugin versions would be printed out as

well.

For example like this:

 redmine_lightbox2_screenshot__mockup.png 

Related issues:

Related to Redmine - Defect #21379: Plugin author is not able to delete plugi... New

History

#1 - 2015-03-01 21:50 - Jan Niggemann (redmine.org team member)

- Status changed from New to Closed

- Resolution set to Wont fix

The current version of a plugin may be compatible to one or more versions of redmine.

If the current version of the plugin is only compatible to the latest version of redmine, then you need to use an older version of the plugin for previous

versions of redmine. This is indicated in the changelog on the bottom of the plugin page.

It's up to the maintainer to properly set the versions supported by the current plugin version.

Look here: http://www.redmine.org/plugins/redmine_checklists

#2 - 2015-03-07 20:00 - Tobias Fischer

- Status changed from Closed to Reopened

Jan Niggemann (redmine.org team member) wrote:

The current version of a plugin may be compatible to one or more versions of redmine.

 Yes, true. And they're displayed in the "Compatible with" section.

If the current version of the plugin is only compatible to the latest version of redmine, then you need to use an older version of the plugin for

previous versions of redmine. This is indicated in the changelog on the bottom of the plugin page.

 Yes, that's exactly my point! I'd like to display this as an additional information in the plugin header infos. That's all.

Just for users who aren't familiar with all the versions and compatibilities...

Let's discuss this further:

When searching for plugins beeing compatible with Redmine 2.6, my lightbox plugin is listed in the search results:

http://www.redmine.org/plugins?utf8=%E2%9C%93&page=1&sort=rating&v=2.6

Because an older version of my plugin is compatible with Redmine 2.6! – whereas the current version isn't...
However, when the users clicks on the plugin entry and opens up the plugin page he will only see compatibility with Redmine 3.0 for this plugin.

This is an inconsistency I think, and therefore all I aks for is a – for example – greyed out listing of previous plugin compatibilities in the general

plugin info section.

And by the way:

It's up to the maintainer to properly set the versions supported by the current plugin version.

 I know how to set this properly! But this has nothing to do with setting the supported versions properly. My suggestion is just a usability

enhancement...

And because I thinks my suggestion would solve an inconsistency and is a usability enhancement on redmine.org, I'm going to reopen this ticket.

If you're still not agreeing with me, go and close the issue.

#3 - 2015-12-29 04:36 - Toshi MARUYAMA

- Related to Defect #21379: Plugin author is not able to delete plugin versions added
